/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT                           1
#define  ABOUT_OK                        2       /* callback function: AboutOkCall */
#define  ABOUT_TEXTMSG_3                 3
#define  ABOUT_TEXTMSG_5                 4
#define  ABOUT_TEXTMSG_4                 5
#define  ABOUT_TEXTMSG                   6
#define  ABOUT_TEXTMSG_2                 7

#define  HELP                            2       /* callback function: panelCall */
#define  HELP_TEXTBOX                    2
#define  HELP_CLOSE                      3       /* callback function: helpCloseCall */

#define  INIT                            3
#define  INIT_TEXTMSG                    2
#define  INIT_TEXTMSG_2                  3
#define  INIT_TEXTMSG_3                  4
#define  INIT_TEXTMSG_4                  5
#define  INIT_TEXTMSG_5                  6

#define  PANEL                           4       /* callback function: panelCall */
#define  PANEL_REFLECTION                2       /* callback function: helpCall */
#define  PANEL_COMPORT                   3       /* callback function: helpCall */
#define  PANEL_POWERUNIT                 4       /* callback function: helpCall */
#define  PANEL_POWERFWD                  5       /* callback function: helpCall */
#define  PANEL_FREQUENCY                 6       /* callback function: helpCall */
#define  PANEL_INTEGRATIONTIME           7       /* callback function: helpCall */
#define  PANEL_CCDFTHRESHOLD             8       /* callback function: helpCall */
#define  PANEL_BURSTWIDTH                9       /* callback function: helpCall */
#define  PANEL_REFLECTIONIND             10
#define  PANEL_POWERFWDIND               11
#define  PANEL_BURSTPERIOD               12      /* callback function: helpCall */
#define  PANEL_MAX2                      13      /* callback function: scalingCall */
#define  PANEL_MIN2                      14      /* callback function: scalingCall */
#define  PANEL_MAX1                      15      /* callback function: scalingCall */
#define  PANEL_MIN1                      16      /* callback function: scalingCall */
#define  PANEL_DIRECTION                 17      /* callback function: helpCall */
#define  PANEL_VIDEOBANDWIDTH            18      /* callback function: helpCall */
#define  PANEL_SCALING2                  19      /* callback function: scalingCall */
#define  PANEL_FILTERCOUNT               20      /* callback function: helpCall */
#define  PANEL_MEASPOSITION              21      /* callback function: helpCall */
#define  PANEL_SCALING1                  22      /* callback function: scalingCall */
#define  PANEL_AVERAGINGMODE             23      /* callback function: helpCall */
#define  PANEL_QUIT                      24      /* callback function: quitCall */
#define  PANEL_ZERO                      25      /* callback function: zeroCall */
#define  PANEL_CONFIGURE                 26      /* callback function: configureCall */
#define  PANEL_PICTURE                   27
#define  PANEL_PICTURE_2                 28
#define  PANEL_PICTURE_3                 29
#define  PANEL_DECORATION                30
#define  PANEL_DECORATION_3              31
#define  PANEL_TEXTMSG                   32
#define  PANEL_TEXTMSG_2                 33
#define  PANEL_DECORATION_2              34
#define  PANEL_DECORATION_5              35
#define  PANEL_DECORATION_6              36
#define  PANEL_DECORATION_7              37
#define  PANEL_TEXTMSG_7                 38
#define  PANEL_TEXTMSG_8                 39
#define  PANEL_DECORATION_4              40
#define  PANEL_TEXTMSG_5                 41
#define  PANEL_TEXTMSG_6                 42
#define  PANEL_TEXTMSG_9                 43
#define  PANEL_DECORATION_8              44
#define  PANEL_POWERFWDUNIT              45
#define  PANEL_REFLECTIONUNIT            46
#define  PANEL_CHART1                    47
#define  PANEL_CHART2                    48

#define  ZEROING                         5
#define  ZEROING_TEXTMSG_3               2
#define  ZEROING_TEXTMSG_4               3


     /* Menu Bars, Menus, and Menu Items: */

#define  MENUBAR                         1
#define  MENUBAR_ABOUT                   2       /* callback function: AboutCall */


     /* Callback Prototypes: */ 

void CVICALLBACK AboutCall(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK AboutOkCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configureCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK helpCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK helpCloseCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCall(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK quitCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scalingCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK zeroCall(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
